OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- File List
- Globals

Functions | Variables
textbuf.cpp File Reference

Textbuffer handling. More...

`#include "stdafx.h"`
`#include <stdarg.h>`
`#include "textbuf_type.h"`
`#include "string_func.h"`
`#include "strings_func.h"`
`#include "gfx_type.h"`
`#include "gfx_func.h"`
`#include "window_func.h"`
`#include "core/alloc_func.hpp"`
`#include "safeguards.h"`

Go to the source code of this file.

## Functions
bool | GetClipboardContents (char *buffer, const char *last)
| Try to retrieve the current clipboard contents.

## Variables
int | _caret_timer

## Detailed Description

Textbuffer handling.

Definition in file textbuf.cpp.

## Function Documentation

bool GetClipboardContents | ( | char * | buffer,
|  | const char * | last
| ) |  |

Try to retrieve the current clipboard contents.

Note
  OS-specific function.

Parameters

  buffer | Clipboard content.
  last | The pointer to the last element of the destination buffer

Returns
  True if some text could be retrieved.

Definition at line 183 of file os2.cpp.

References FS2OTTD(), and strecpy().

Referenced by Textbuf::InsertClipboard().